/******************************************************************************************/
/******************************************************************************************/
/*                                                                                        */
/* Trigger: DTULTATU_PARAMEMPRESA                                                         */
/* Tabela : PARAMEMPRESA                                                                  */
/*                                                                                        */
/* Criao:                                                                               */
/* 01/06/2009 - Andr Rodrigo                                                             */
/*                                                                                        */
/******************************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PARAMEMPRESA
BEFORE INSERT OR UPDATE OR DELETE
ON PARAMEMPRESA FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PARAMEMPRESA', '', 'CDEMPRESA='||:OLD.CDEMPRESA||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PARAMEMPRESA MODIFY DTULTATU DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_PARAMEMPRESA','5.05.096'); END;
/
